package solutions

import (
	"fmt"
	"os"
	"path/filepath"
)

func CountFileNum(filePath string) {
	count := 0
	var size int64
	err := filepath.Walk(filePath, func(path string, info os.FileInfo, err error) error {
		if err != nil {
			return err
		}
		if !info.IsDir() {
			size += info.Size()
			count++
		}
		return nil
	})
	if err != nil {
		fmt.Println("执行异常:" + err.Error())
	} else {
		fmt.Printf("执行成功:共计文件%d个，文件体积%dMB", count, size/(1024*1024))
	}
}
