package eneity

import (
	"database/sql"
	"errors"
	"fmt"
)

type DbInfo struct {
	Server   string
	User     string
	Password string
	Port     int32
	Database string
	Dbtype   string
}

func (db *DbInfo) GetConnect() (*sql.DB, error) {
	if db.Dbtype == "mssql" {
		connString := fmt.Sprintf("server=%s;port=%d;user id=%s;password=%s;database=%s", db.Server, db.Port, db.User, db.Password, db.Database)
		return sql.Open("mssql", connString)
	}
	return nil, errors.New("this dbtype is not supported")
}
